Subject: Re: [xml2rfc] pandoc2rfc

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 05 Oct 2011 13:29:41 +0200

Hi Miek,

On 2011-09-30 09:19 Miek Gieben said:
> Hello,
> 
> I've created an xslt that transforms DocBook XML (as created by Pandoc)
> to xml2rfc XML. This allows one to write in Pandoc
> (http://johnmacfarlane.net/pandoc/) and then convert it to xml2rfc:
> 
>     Pandoc -> DocBook XML -> xml2rfc XML -> draft

And I see that Pandoc supports reStructuredText, which is something I've
wanted to use to write drafts!  (I actually started a rst -> xml2rfc
converter project at one point, but never found enough time to bring
it to fruition).

I'm very happy to see your project!

> The pandoc2rfc code can be found on github: https://github.com/miekg/pandoc2rfc
> 
> The included README.mkd can be converted to a draft by running make (only 
> tested on Ubuntu Linux).
> 
> Good things about Pandoc are that is very easy to learn/write
> and that it converts to almost anything.
> 
> Pandoc is a format inspired by Markdown
> (http://daringfireball.net/projects/markdown/), but with extra features.
> 
> Comments welcome.

I see that one currently need to provide 3 different files in order to
'$ make' a draft.  If you can bring this along to the point where everything
necessary to build a draft is included in the one markdown file, I'd love
to make this available as a web service on the tools servers (with your
permission, of course).

Best regards,

	Henrik